<?php

if ( !class_exists( 'Reon' ) ) {
    return;
}

if ( !class_exists( 'WTARS_Shipped_Admin_Data_List_Shipping_Rate_Methods' ) ) {


    class WTARS_Shipped_Admin_Data_List_Shipping_Rate_Methods {
        
        public function __construct() {
            
            add_filter( 'wtars_shipped_admin/get-data-list-shipping_rate_methods', array( $this, 'get_data_list' ), 10, 2 );
        }

        public function get_data_list( $result, $data_args ) {

            $result[ 'with_others' ] = esc_html__( 'Apply this and other rates', 'shipped-table-rate-shipping' );
            $result[ 'only_this' ] = esc_html__( 'Apply only this rate', 'shipped-table-rate-shipping' );
            $result[ 'if_others' ] = esc_html__( 'Apply if other rates are valid', 'shipped-table-rate-shipping' );
            $result[ 'if_no_others' ] = esc_html__( 'Apply if no other valid rates', 'shipped-table-rate-shipping' );
            
            return $result;
        }

    }

    new WTARS_Shipped_Admin_Data_List_Shipping_Rate_Methods();
}