<?php

if ( !class_exists( 'Reon' ) ) {
    return;
}

if ( !class_exists( 'WTARS_Shipped_Premium_Admin_Debug_Cache_Settings' ) ) {

    class WTARS_Shipped_Premium_Admin_Debug_Cache_Settings {

        public function __construct() {

            add_filter( 'wtars_shipped_admin/get-hash-params', array($this, 'get_params'), 10, 1 );
        }

        public function get_params( $params ) {

            $params[ 'applied_coupons' ] = esc_html__( 'Applied coupons', 'shipped-table-rate-shipping' );
            $params[ 'billing_address' ] = esc_html__( 'Billing address', 'shipped-table-rate-shipping' );
            $params[ 'shipping_address' ] = esc_html__( 'Shipping address', 'shipped-table-rate-shipping' );
            $params[ 'payment_methods' ] = esc_html__( 'Payment methods', 'shipped-table-rate-shipping' );
            $params[ 'current_year' ] = esc_html__( 'Year', 'shipped-table-rate-shipping' );
            $params[ 'current_month' ] = esc_html__( 'Month', 'shipped-table-rate-shipping' );
            $params[ 'current_day' ] = esc_html__( 'Day', 'shipped-table-rate-shipping' );
            $params[ 'current_hour' ] = esc_html__( 'Hour', 'shipped-table-rate-shipping' );
            $params[ 'current_30_minute' ] = esc_html__( 'Thirty minutes', 'shipped-table-rate-shipping' );
            $params[ 'current_10_minute' ] = esc_html__( 'Ten minutes', 'shipped-table-rate-shipping' );
            $params[ 'current_minute' ] = esc_html__( 'Minute', 'shipped-table-rate-shipping' );
            
            

            return $params;
        }

    }

    new WTARS_Shipped_Premium_Admin_Debug_Cache_Settings();
}