<?php

if ( !defined( 'ABSPATH' ) ) {
    exit;
}

if ( !class_exists( 'WTARS_Shipped_WMC_Messages' ) ) {

    class WTARS_Shipped_WMC_Messages {

        public function __construct() {

            add_filter( 'wtars_shipped/parameter-currency-value', array( $this, 'convert_parameter_currency_value' ), 10, 4 );
        }

        public function convert_parameter_currency_value( $parameter_value, $parameter_id, $parameter_type, $instance_id ) {

            $converter = $this->get_converter();

            return $converter->convert_amount( $parameter_value );
        }

        private function get_converter() {

            return WTARS_Shipped_WMC::get_instance();
        }

    }

    new WTARS_Shipped_WMC_Messages();
}

