<?php

if ( !defined( 'ABSPATH' ) ) {
    exit;
}

if ( !class_exists( 'WTARS_Shipped_Parameter_Type_Totals' ) ) {

    class WTARS_Shipped_Parameter_Type_Totals {

        public function get_parameter( $parameter, $subtypes, $parameter_args, $data ) {
            
            
            $args = array(
                'module' => $parameter_args[ 'module' ],
                'option_id' => $subtypes[1],
                'instance_id' => $parameter_args[ 'instance_id' ]
            );
            
            $totals = WTARS_Shipped_Total_Types::get_totals( $args, $data );
            
            $parameter[ 'is_currency' ] = true;
            
            $parameter[ 'value' ] = $totals;
            
            return $parameter;
        }

    }

}

