<?php

if ( !class_exists( 'Reon' ) ) {
    return;
}

if ( !class_exists( 'WTARS_Shipped_Admin_Data_List_Cart_Fee_Modes' ) ) {


    class WTARS_Shipped_Admin_Data_List_Cart_Fee_Modes {
        
        public function __construct() {
            
            add_filter( 'wtars_shipped_admin/get-data-list-cart_fee_modes', array( $this, 'get_data_list' ), 10, 2 );
        }

        public function get_data_list( $result, $data_args ) {

            $result[ 'all' ] = esc_html__( 'Apply all valid fees', 'shipped-table-rate-shipping' );
            $result[ 'first' ] = esc_html__( 'Apply first valid fee', 'shipped-table-rate-shipping' );
            $result[ 'last' ] = esc_html__( 'Apply last valid fee', 'shipped-table-rate-shipping' );
            $result[ 'higher' ] = esc_html__( 'Apply the most expensive fee', 'shipped-table-rate-shipping' );
            $result[ 'lower' ] = esc_html__( 'Apply the cheapest fee', 'shipped-table-rate-shipping' );
            $result[ 'no' ] = esc_html__( 'Do not apply any fee', 'shipped-table-rate-shipping' );

            return $result;
        }

    }

    new WTARS_Shipped_Admin_Data_List_Cart_Fee_Modes();
}