<?php

if ( !class_exists( 'Reon' ) ) {
    return;
}

if ( !class_exists( 'WTARS_Shipped_Premium_Admin_Cart_Fees_Settings' ) ) {

    class WTARS_Shipped_Premium_Admin_Cart_Fees_Settings {

        public function __construct() {
            
            add_filter( 'wtars_shipped_admin/cart-fees/get-totals-options', array( $this, 'get_totals_options' ), 10 );
        }

        public function get_totals_options( $options ) {

            $options[ 'coupons' ] = esc_html__( 'Add coupons', 'shipped-table-rate-shipping' );
            $options[ 'coupons_taxes' ] = esc_html__( 'Add coupon taxes', 'shipped-table-rate-shipping' );
            $options[ 'n_coupons' ] = esc_html__( 'Subtract coupons', 'shipped-table-rate-shipping' );
            $options[ 'n_coupons_taxes' ] = esc_html__( 'Subtract coupon taxes', 'shipped-table-rate-shipping' );
            $options[ 'fees' ] = esc_html__( 'Add cart fees', 'shipped-table-rate-shipping' );
            $options[ 'fee_taxes' ] = esc_html__( 'Add cart fee taxes', 'shipped-table-rate-shipping' );

            return $options;
        }

    }

    new WTARS_Shipped_Premium_Admin_Cart_Fees_Settings();
}
