<?php

if ( !class_exists( 'WTARS_Shipped_Premium_Admin_Checkout_Totals_Settings' ) ) {

    class WTARS_Shipped_Premium_Admin_Checkout_Totals_Settings {

        public function __construct() {

            add_filter( 'wtars_shipped_admin/get-totals-options', array( $this, 'get_totals_options' ), 10 );
        }

        public function get_totals_options( $options ) {

            $options[ 'coupons' ] = esc_html__( 'Add cart coupons', 'shipped-table-rate-shipping' );
            $options[ 'coupons_taxes' ] = esc_html__( 'Add cart coupon taxes', 'shipped-table-rate-shipping' );
            $options[ 'n_coupons' ] = esc_html__( 'Subtract cart coupons', 'shipped-table-rate-shipping' );
            $options[ 'n_coupons_taxes' ] = esc_html__( 'Subtract cart coupon taxes', 'shipped-table-rate-shipping' );

            $options[ 'package_discounts' ] = esc_html__( 'Add package discounts', 'shipped-table-rate-shipping' );
            $options[ 'package_discounts_tax' ] = esc_html__( 'Add package discounts taxes', 'shipped-table-rate-shipping' );
            $options[ 'n_package_discounts' ] = esc_html__( 'Subtract package discounts', 'shipped-table-rate-shipping' );
            $options[ 'n_package_discounts_tax' ] = esc_html__( 'Subtract package discounts taxes', 'shipped-table-rate-shipping' );


            return $options;
        }

    }

    new WTARS_Shipped_Premium_Admin_Checkout_Totals_Settings();
}